/* File:        $Id: NotificationsFactory.java 25 2007-07-27 14:25:27Z kfc $
 * Revision:    $Revision: 25 $
 * Author:      $Author: kfc $
 * Date:        $Date: 2007-07-27 16:25:27 +0200 (Fri, 27 Jul 2007) $
 *
 * The Netarchive Suite - Software to harvest and preserve websites
 * Copyright 2004-2007 Det Kongelige Bibliotek and Statsbiblioteket, Denmark
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

package dk.netarkivet.common.utils;

import dk.netarkivet.common.Settings;

/**
 * Get a notifications handler for serious errors.
 *
 */
public class NotificationsFactory extends SettingsFactory<Notifications> {
    /** Get a notification instance to handle serious errors, as defined
     * by the setting settings.common.notifications.class.
     * @return The Notifications instance.
     */
    public static Notifications getInstance() {
        return SettingsFactory.getInstance(Settings.NOTIFICATIONS_CLASS);
    }
}
