<%--
File:       $Id: Bitpreservation-filestatus-checksum.jsp 60 2007-09-11 12:53:54Z lars $
Revision:   $Revision: 60 $
Author:     $Author: lars $
Date:       $Date: 2007-09-11 14:53:54 +0200 (Tue, 11 Sep 2007) $

The Netarchive Suite - Software to harvest and preserve websites
Copyright 2004-2007 Det Kongelige Bibliotek and Statsbiblioteket, Denmark

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA

--%><%@ page import="java.util.List,
                 dk.netarkivet.archive.arcrepository.bitpreservation.ActiveBitPreservation,
                 dk.netarkivet.archive.arcrepository.bitpreservation.FilePreservationStatus,
                 dk.netarkivet.archive.webinterface.BitpreserveFileStatus,
                 dk.netarkivet.archive.webinterface.Constants,
                 dk.netarkivet.common.distribute.arcrepository.Location,
                 dk.netarkivet.common.exceptions.ForwardedToErrorPage,
		 	     dk.netarkivet.common.utils.I18n, dk.netarkivet.common.webinterface.HTMLUtils"
         pageEncoding="UTF-8"
%><%@taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"
%><fmt:setLocale value="<%=HTMLUtils.getLocale(request)%>" scope="page"
/><fmt:setBundle scope="page" basename="<%=dk.netarkivet.archive.Constants.TRANSLATIONS_BUNDLE%>"/><%!
    private static final I18n I18N = new I18n(dk.netarkivet.archive.Constants.TRANSLATIONS_BUNDLE);
%><%
    HTMLUtils.setUTF8(request);
    try {
        HTMLUtils.forwardOnIllegalParameter(pageContext,
                Constants.BITARCHIVE_NAME_PARAM, Location.getKnownNames());
    } catch (ForwardedToErrorPage e) {
        return;
    }
    // Process checksumrequest. Any errors found while processing the files are added to res.
    StringBuilder res = new StringBuilder();
    BitpreserveFileStatus.processChecksumRequest(request, res, pageContext);
    String bitarchiveName
            = request.getParameter(Constants.BITARCHIVE_NAME_PARAM);
    Location bitarchive = Location.get(bitarchiveName);

    // Get the page title from its URL
    HTMLUtils.generateHeader(pageContext);
%>
<h3 class="page_heading"><fmt:message key="pagetitle;filestatus.checksum.errors"/></h3>
<p>
    <%
        // Output result string from request processing
        if (res.length() > 0) {
            out.print(res.toString() + "<br/>");
        }
    %>
</p>

<%
    String filename = request.getParameter(Constants.FILENAME_PARAM);
    // If a filename is specified output current file information
    if (filename != null) {
        ActiveBitPreservation preserve = ActiveBitPreservation.getInstance();
        FilePreservationStatus fs = preserve.getFilePreservationStatus(
                filename);
        if (fs == null) {
%><fmt:message key="no.info.on.file.{0}">
              <fmt:param value="<%=filename%>"/>
           </fmt:message><%
        } else {
            %>
            <fmt:message key="state.of.file"/><%=HTMLUtils.escapeHtmlValues(filename)%>
            <br><br>
            <table>
            <tr><td>&nbsp;</td><td><fmt:message key="admin.state"/></td><td><fmt:message key="checksum"/></td></tr>
            <!-- General admin state not used because is is never updated -->
            <tr><td>&nbsp;</td><td>&nbsp;</td>
            <%=HTMLUtils.makeTableElement(fs.getAdminChecksum())%>
            </tr>
            <%
            for (Location l : Location.getKnown()) {
                String csumString = HTMLUtils.presentChecksum(
                        fs.getBitarchiveChecksum(l), response.getLocale());
                String trContents = HTMLUtils.makeTableElement(l.getName())
                        + HTMLUtils.makeTableElement(
                        fs.getAdminBitarchiveState(l))
                        + HTMLUtils.makeTableElement(csumString);
            %> <tr><%=trContents%></tr>
         <% } %>
            </table>
            <form method="post" action="./Bitpreservation-filestatus-checksum.jsp">
            <input type="hidden" value="<%=HTMLUtils.escapeHtmlValues(bitarchive.getName())%>" name="<%=Constants.BITARCHIVE_NAME_PARAM%>">
            <input type="hidden" value="<%=HTMLUtils.escapeHtmlValues(filename)%>" name="<%=Constants.FILENAME_PARAM%>">
		    <%
            List<String> checksum = fs.getBitarchiveChecksum(bitarchive);
            if ((checksum.size() == 1)
                && (fs.isAdminCheckSumOk())
                && (!checksum.get(0).equals(fs.getAdminChecksum()))) {
                %>
                <fmt:message key="insert.password"/><input type="password" name="<%=Constants.CREDENTIALS_PARAM%>">
                <input type="hidden" value="<%=HTMLUtils.escapeHtmlValues(checksum.get(0))%>" name="<%=Constants.CHECKSUM_PARAM%>">
                <input type="submit" value="<fmt:message key="remove.file.from.bitarchive.0"><fmt:param><%=bitarchive%></fmt:param></fmt:message>">
 		    <%
            }
            if (!fs.isAdminCheckSumOk()) { %>
                <input type="hidden" value="1" name="<%=Constants.FIX_ADMIN_CHECKSUM_PARAM%>" >
                <input type="submit" value="<fmt:message key="correct.admin.checksum"/>">
         <% } %>
            </form><%
        } // if fs != null
    } // if filename != null
%>

<h4><fmt:message key="files.with.checksum.errors.in.0"><fmt:param><%=bitarchive%></fmt:param></fmt:message></h4>
<%
    List<String> wrongFiles = BitpreserveFileStatus.getWrongFilesList(
            bitarchive, pageContext);
    for (String fn : wrongFiles) { %>
    &nbsp;<%=fn%>&nbsp;<a href="./Bitpreservation-filestatus-checksum.jsp?<%=
    Constants.BITARCHIVE_NAME_PARAM%>=<%=HTMLUtils.encodeAndEscapeHTML(bitarchive.getName())%>&amp;<%=
    Constants.FILENAME_PARAM%>=<%=HTMLUtils.encodeAndEscapeHTML(fn)%>"><fmt:message key="info"/></a><br/>
	<%  } // end for
    HTMLUtils.generateFooter(out);
%>